## Interface IPageStatePersister

Description

IPageStatePersister interface.

IPageStatePersister interface is required for all page state persister classes.

- since: 3.1
- version: $Id: TPage.php 2438 2008-04-18 17:12:59Z mikl $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/TPage.php (line 1182)

Method Summary
void getPage (TPage 0)
mixed load ()
void save (mixed $state)
void setPage (TPage $page)
Methods
getPage (line 1187)

- access: public

void getPage (TPage 0)

- TPage 0: the page that this persister works for

load (line 1201)

Loads page state from persistent storage

- return: the restored state
- access: public

mixed load ()
save (line 1196)

Saves state to persistent storage.

- access: public

void save (mixed $state)

- mixed $state: state to be stored

setPage (line 1191)

- access: public

void setPage (TPage $page)

- TPage $page: the page that this persister works for

Documentation generated on Mon, 21 Apr 2008 11:35:44 -0400 by phpDocumentor 1.3.0RC4